Summary: TCP / IP networking and traffic control utilities
Name: iproute2
Version: 6.12.0
Release: r0
License: GPL-2.0-or-later
Group: base
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://www.linuxfoundation.org/collaborate/workgroups/networking/iproute2
Source0: series
Source1: iproute2-6.12.0.tar.xz
Source2: 0001-include-libnetlink.h-add-missing-include-for-htobe64.patch
Source3: 0001-ip-rearrange-and-prune-header-files.patch
BuildRequires: bash-completion
BuildRequires: bison-native
BuildRequires: elfutils
BuildRequires: flex-native
BuildRequires: iptables
BuildRequires: libcap
BuildRequires: libmnl
BuildRequires: pkgconfig-native
BuildRequires: virtual/libc
BuildRequires: virtual/update-alternatives
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc
Requires: iproute2-ip
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap >= 2.73
Requires: libcap.so.2()(64bit)
Requires: libmnl.so.0()(64bit)
Requires: libmnl.so.0(LIBMNL_1.0)(64bit)
Requires: libmnl0 >= 1.0.5
Requires: rtld(GNU_HASH)

%description
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-src
Summary: TCP / IP networking and traffic control utilities - Source files
License: GPL-2.0-or-later
Group: devel

%description -n iproute2-src
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.  This package contains sources for debugging purposes.

%package -n iproute2-dbg
Summary: TCP / IP networking and traffic control utilities - Debugging files
License: GPL-2.0-or-later
Group: devel
Recommends: glibc-dbg
Recommends: iptables-dbg
Recommends: libcap-dbg
Recommends: libelf-dbg
Recommends: libmnl-dbg

%description -n iproute2-dbg
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.  This package contains ELF symbols and related sources for
debugging purposes.

%package -n iproute2-staticdev
Summary: TCP / IP networking and traffic control utilities - Development files (Static Libraries)
License: GPL-2.0-or-later
Group: devel
Requires: iproute2-dev = 6.12.0-r0

%description -n iproute2-staticdev
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.  This package contains static libraries for software
development.

%package -n iproute2-dev
Summary: TCP / IP networking and traffic control utilities - Development files
License: GPL-2.0-or-later
Group: devel
Recommends: bash-completion-dev
Recommends: elfutils-dev
Recommends: glibc-dev
Recommends: iproute2 = 6.12.0-r0
Recommends: iproute2-ip-dev
Recommends: iptables-dev
Recommends: libcap-dev
Recommends: libelf-dev
Recommends: libmnl-dev
Recommends: python3-core-dev
Recommends: update-alternatives-opkg-dev

%description -n iproute2-dev
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.  This package contains symbolic links, header files, and
related items necessary for software development.

%package -n iproute2-doc
Summary: TCP / IP networking and traffic control utilities - Documentation files
License: GPL-2.0-or-later
Group: doc

%description -n iproute2-doc
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.  This package contains documentation.

%package -n iproute2-locale
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base

%description -n iproute2-locale
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-bridge
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap >= 2.73
Requires: libcap.so.2()(64bit)
Requires: libmnl.so.0()(64bit)
Requires: libmnl.so.0(LIBMNL_1.0)(64bit)
Requires: libmnl0 >= 1.0.5
Requires: rtld(GNU_HASH)

%description -n iproute2-bridge
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-devlink
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.15)(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap >= 2.73
Requires: libcap.so.2()(64bit)
Requires: libmnl.so.0()(64bit)
Requires: libmnl.so.0(LIBMNL_1.0)(64bit)
Requires: libmnl0 >= 1.0.5
Requires: rtld(GNU_HASH)

%description -n iproute2-devlink
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-genl
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap >= 2.73
Requires: libcap.so.2()(64bit)
Requires: libmnl.so.0()(64bit)
Requires: libmnl.so.0(LIBMNL_1.0)(64bit)
Requires: libmnl0 >= 1.0.5
Requires: rtld(GNU_HASH)

%description -n iproute2-genl
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-ifstat
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap >= 2.73
Requires: libcap.so.2()(64bit)
Requires: libm.so.6()(64bit)
Requires: libm.so.6(GLIBC_2.29)(64bit)
Requires: libmnl.so.0()(64bit)
Requires: libmnl.so.0(LIBMNL_1.0)(64bit)
Requires: libmnl0 >= 1.0.5
Requires: rtld(GNU_HASH)

%description -n iproute2-ifstat
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-ip
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.27)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap >= 2.73
Requires: libcap.so.2()(64bit)
Requires: libelf.so.1()(64bit)
Requires: libelf.so.1(ELFUTILS_1.0)(64bit)
Requires: libelf1 >= 0.192
Requires: libmnl.so.0()(64bit)
Requires: libmnl.so.0(LIBMNL_1.0)(64bit)
Requires: libmnl0 >= 1.0.5
Requires: rtld(GNU_HASH)
Requires: update-alternatives-opkg
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.27)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.8)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libcap >= 2.73
Requires(post): libcap.so.2()(64bit)
Requires(post): libelf.so.1()(64bit)
Requires(post): libelf.so.1(ELFUTILS_1.0)(64bit)
Requires(post): libelf1 >= 0.192
Requires(post): libmnl.so.0()(64bit)
Requires(post): libmnl.so.0(LIBMNL_1.0)(64bit)
Requires(post): libmnl0 >= 1.0.5
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-opkg
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc.so.6(GLIBC_2.27)(64bit)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(preun): libc.so.6(GLIBC_2.33)(64bit)
Requires(preun): libc.so.6(GLIBC_2.34)(64bit)
Requires(preun): libc.so.6(GLIBC_2.38)(64bit)
Requires(preun): libc.so.6(GLIBC_2.4)(64bit)
Requires(preun): libc.so.6(GLIBC_2.8)(64bit)
Requires(preun): libc6 >= 2.40+git0+efb710034e
Requires(preun): libcap >= 2.73
Requires(preun): libcap.so.2()(64bit)
Requires(preun): libelf.so.1()(64bit)
Requires(preun): libelf.so.1(ELFUTILS_1.0)(64bit)
Requires(preun): libelf1 >= 0.192
Requires(preun): libmnl.so.0()(64bit)
Requires(preun): libmnl.so.0(LIBMNL_1.0)(64bit)
Requires(preun): libmnl0 >= 1.0.5
Requires(preun): rtld(GNU_HASH)
Requires(preun): update-alternatives-opkg
Provides: /sbin/ip

%description -n iproute2-ip
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-lnstat
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)

%description -n iproute2-lnstat
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-nstat
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap >= 2.73
Requires: libcap.so.2()(64bit)
Requires: libm.so.6()(64bit)
Requires: libm.so.6(GLIBC_2.29)(64bit)
Requires: libmnl.so.0()(64bit)
Requires: libmnl.so.0(LIBMNL_1.0)(64bit)
Requires: libmnl0 >= 1.0.5
Requires: rtld(GNU_HASH)

%description -n iproute2-nstat
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-routel
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: /usr/bin/env
Requires: python3-core

%description -n iproute2-routel
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-rtacct
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libm.so.6()(64bit)
Requires: libm.so.6(GLIBC_2.29)(64bit)
Requires: rtld(GNU_HASH)

%description -n iproute2-rtacct
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-ss
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap >= 2.73
Requires: libcap.so.2()(64bit)
Requires: libmnl.so.0()(64bit)
Requires: libmnl.so.0(LIBMNL_1.0)(64bit)
Requires: libmnl0 >= 1.0.5
Requires: rtld(GNU_HASH)

%description -n iproute2-ss
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-tc
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: iptables >= 1.8.11
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.11)(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap >= 2.73
Requires: libcap.so.2()(64bit)
Requires: libelf.so.1()(64bit)
Requires: libelf.so.1(ELFUTILS_1.0)(64bit)
Requires: libelf1 >= 0.192
Requires: libm.so.6()(64bit)
Requires: libm.so.6(GLIBC_2.29)(64bit)
Requires: libmnl.so.0()(64bit)
Requires: libmnl.so.0(LIBMNL_1.0)(64bit)
Requires: libmnl0 >= 1.0.5
Requires: libxtables.so.12()(64bit)
Requires: rtld(GNU_HASH)
Requires: update-alternatives-opkg
Requires(post): iptables >= 1.8.11
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.11)(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.33)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.8)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libcap >= 2.73
Requires(post): libcap.so.2()(64bit)
Requires(post): libelf.so.1()(64bit)
Requires(post): libelf.so.1(ELFUTILS_1.0)(64bit)
Requires(post): libelf1 >= 0.192
Requires(post): libm.so.6()(64bit)
Requires(post): libm.so.6(GLIBC_2.29)(64bit)
Requires(post): libmnl.so.0()(64bit)
Requires(post): libmnl.so.0(LIBMNL_1.0)(64bit)
Requires(post): libmnl0 >= 1.0.5
Requires(post): libxtables.so.12()(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): update-alternatives-opkg
Requires(preun): iptables >= 1.8.11
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.11)(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): libc.so.6(GLIBC_2.3)(64bit)
Requires(preun): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(preun): libc.so.6(GLIBC_2.33)(64bit)
Requires(preun): libc.so.6(GLIBC_2.34)(64bit)
Requires(preun): libc.so.6(GLIBC_2.38)(64bit)
Requires(preun): libc.so.6(GLIBC_2.4)(64bit)
Requires(preun): libc.so.6(GLIBC_2.8)(64bit)
Requires(preun): libc6 >= 2.40+git0+efb710034e
Requires(preun): libcap >= 2.73
Requires(preun): libcap.so.2()(64bit)
Requires(preun): libelf.so.1()(64bit)
Requires(preun): libelf.so.1(ELFUTILS_1.0)(64bit)
Requires(preun): libelf1 >= 0.192
Requires(preun): libm.so.6()(64bit)
Requires(preun): libm.so.6(GLIBC_2.29)(64bit)
Requires(preun): libmnl.so.0()(64bit)
Requires(preun): libmnl.so.0(LIBMNL_1.0)(64bit)
Requires(preun): libmnl0 >= 1.0.5
Requires(preun): libxtables.so.12()(64bit)
Requires(preun): rtld(GNU_HASH)
Requires(preun): update-alternatives-opkg
Provides: /sbin/tc

%description -n iproute2-tc
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-tipc
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libcap >= 2.73
Requires: libcap.so.2()(64bit)
Requires: libmnl.so.0()(64bit)
Requires: libmnl.so.0(LIBMNL_1.0)(64bit)
Requires: libmnl0 >= 1.0.5
Requires: rtld(GNU_HASH)

%description -n iproute2-tipc
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-rdma
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base

%description -n iproute2-rdma
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%package -n iproute2-bash-completion
Summary: TCP / IP networking and traffic control utilities
License: GPL-2.0-or-later
Group: base
Requires: bash-completion

%description -n iproute2-bash-completion
Iproute2 is a collection of utilities for controlling TCP / IP networking
and traffic control in Linux.  Of the utilities ip and tc are the most
important.  ip controls IPv4 and IPv6 configuration and tc stands for
traffic control.

%post -n iproute2-ip
# iproute2-ip - postinst
#!/bin/sh
set -e
	update-alternatives --install /sbin/ip ip /sbin/ip.iproute2 100


%preun -n iproute2-ip
# iproute2-ip - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
set -e
	update-alternatives --remove  ip /sbin/ip.iproute2
fi

%post -n iproute2-tc
# iproute2-tc - postinst
#!/bin/sh
set -e
	update-alternatives --install /sbin/tc tc /sbin/tc.iproute2 100


%preun -n iproute2-tc
# iproute2-tc - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
set -e
	update-alternatives --remove  tc /sbin/tc.iproute2
fi

%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) "/sbin/rtmon"

%files -n iproute2-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/iproute2"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/tipc"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/devlink"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/include"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/lib"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/tc"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/bridge"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/genl"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/misc"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/ip"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/node.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/cmdl.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/link.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/msg.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/cmdl.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/nametable.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/misc.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/peer.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/misc.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/link.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/bearer.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/bearer.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/peer.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/media.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/node.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/nametable.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/msg.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/socket.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/media.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/tipc.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tipc/socket.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/devlink/mnlg.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/devlink/devlink.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/devlink/mnlg.h"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/include/uapi"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/cg_map.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/libnetlink.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/namespace.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/bpf_scm.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/mnl_utils.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/libgenl.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/bpf_elf.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/version.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/xtables.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/list.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/ll_map.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/json_print.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/rtm_map.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/utils.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/bpf_util.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/rt_names.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/selinux.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/json_writer.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/names.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/color.h"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/include/uapi/asm-generic"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/include/uapi/linux"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/asm-generic/posix_types.h"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/hdlc"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/netfilter"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_ematch"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/can"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/mpls_iptunnel.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tcp_metrics.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/if_addr.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/unix_diag.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/fib_rules.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/neighbour.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/sysinfo.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/ip6_tunnel.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/rose.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/mpls.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/if_link.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/netconf.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tipc.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/if_bonding.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/pkt_cls.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tipc_sockets_diag.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/seg6_iptunnel.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/sock_diag.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/bpf.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/amt.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/can.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/genetlink.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/lwtunnel.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/seg6_hmac.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/net_namespace.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/ioam6_iptunnel.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/mptcp.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/types.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/veth.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/netfilter.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/filter.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/if.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/gen_stats.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/wwan.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/ip.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/nexthop.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/xfrm.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/seg6_local.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/seg6_genl.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/if_macsec.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/sctp.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/fou.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/rpl_iptunnel.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/if_addrlabel.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/if_vlan.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/packet_diag.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/mptcp_pm.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/if_bridge.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/snmp.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/vm_sockets_diag.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/xdp_diag.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/btf.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/ioam6_genl.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/if_tunnel.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tipc_netlink.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tcp.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/l2tp.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/socket.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/ila.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/if_alg.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/pkt_sched.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/netlink.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/ife.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tls.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/batman_adv.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/rpl.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/seg6.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/ax25.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/rtnetlink.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/devlink.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/netlink_diag.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/inet_diag.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/ioam6.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/hdlc/ioctl.h"
%attr(755,root,root) %dir "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/netfilter/ipset"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/netfilter/xt_set.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/netfilter/x_tables.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/netfilter/ipset/ip_set.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_sample.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_tunnel_key.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_pedit.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_connmark.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_ctinfo.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_vlan.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_gact.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_mpls.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_skbmod.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_skbedit.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_csum.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_gate.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_mirred.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_defact.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_bpf.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_ct.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_ife.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_act/tc_nat.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_ematch/tc_em_meta.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_ematch/tc_em_nbyte.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_ematch/tc_em_ipt.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/tc_ematch/tc_em_cmp.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/can/netlink.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/include/uapi/linux/can/vxcan.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/mnl_utils.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/utils_math.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/ll_addr.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/utils.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/json_writer.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/json_print_math.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/rt_names.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/color.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/ll_map.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/ll_types.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/names.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/fs.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/exec.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/ppp_proto.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/bpf_legacy.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/rose_ntop.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/libgenl.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/selinux.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/ax25_ntop.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/inet_proto.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/cg_map.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/netrom_ntop.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/libnetlink.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/mpls_ntop.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/ll_proto.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/mpls_pton.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/json_print.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/bpf_glue.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/lib/namespace.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_tunnel_key.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/f_flow.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_qdisc.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_exec.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_ife.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/emp_ematch.l"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_hhf.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_action.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_util.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/f_bpf.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_pie.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_skbedit.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_stab.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_red.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_ets.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_skbmod.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_monitor.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/em_ipset.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/emp_ematch.tab.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/em_canid.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_codel.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_bpf.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_gact.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_drr.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/p_udp.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_sfq.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_qfq.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_clsact.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_core.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_class.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/em_nbyte.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_connmark.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/f_fw.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_ct.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_common.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_cbs.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/em_cmp.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_csum.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/f_matchall.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_util.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_fifo.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_core.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_estimator.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_simple.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_red.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_gred.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_estimator.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/em_u32.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_sfb.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_ctinfo.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/emp_ematch.tab.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/f_u32.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_netem.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_red.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_plug.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/p_tcp.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_hfsc.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/p_ip.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_etf.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/f_route.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/f_flower.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/f_cgroup.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/em_ipt.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_nat.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_pedit.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_pedit.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_cake.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_tbf.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/p_ip6.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_fq.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_filter.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_police.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_gate.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_multiq.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/em_meta.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_ematch.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_prio.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_vlan.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_qevent.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_mpls.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/tc_qevent.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_mirred.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/p_icmp.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/p_eth.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_fq_codel.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/f_basic.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_choke.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_ingress.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_htb.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_taprio.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_skbprio.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/emp_ematch.y"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_mqprio.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_sample.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/e_bpf.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/m_ematch.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/tc/q_fq_pie.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/bridge/vlan.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/bridge/monitor.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/bridge/bridge.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/bridge/link.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/bridge/mdb.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/bridge/br_common.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/bridge/vni.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/bridge/mst.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/bridge/fdb.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/genl/genl.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/genl/ctrl.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/genl/genl_utils.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/misc/nstat.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/misc/ssfilter_check.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/misc/ss.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/misc/lnstat_util.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/misc/lnstat.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/misc/lnstat.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/misc/ssfilter.tab.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/misc/ssfilter.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/misc/ssfilter.y"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/misc/ifstat.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/misc/rtacct.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipvrf.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipmacsec.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/link_gre6.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/xfrm_monitor.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/link_xfrm.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_ifb.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/link_gre.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipstats.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/tunnel.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_xstats.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipila.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ip6tunnel.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_vlan.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ip_common.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_vxcan.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipioam6.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/xfrm_state.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_vcan.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipprefix.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/link_vti6.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_bridge.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/xfrm_policy.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_netdevsim.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_nlmon.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_bridge_slave.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ila_common.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_ipvlan.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_can.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_vxlan.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/link_vti.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_wwan.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iprule.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/tcp_metrics.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipseg6.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_bond.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_hsr.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipntable.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipnetconf.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iproute.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_virt_wifi.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipmaddr.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipnetns.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_vrf.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_batadv.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iptunnel.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/xfrm.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipaddrlabel.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_rmnet.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_ipoib.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipneigh.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iptoken.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_team.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_gtp.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_xdp.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/link_veth.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_bareudp.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipaddress.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_macvlan.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/rtmon.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iptuntap.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipmonitor.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iproute_lwtunnel.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_dummy.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_amt.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_geneve.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/link_iptnl.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipmroute.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ip.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_dsa.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/link_ip6tnl.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipl2tp.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/nh_common.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_netkit.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/tunnel.h"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipfou.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/iplink_bond_slave.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipmptcp.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipnexthop.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/ipxfrm.c"
%attr(644,root,root) "/usr/src/debug/iproute2/6.12.0/ip/rtm_map.c"

%files -n iproute2-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) %dir "/sbin/.debug"
%attr(755,root,root) "/sbin/.debug/lnstat"
%attr(755,root,root) "/sbin/.debug/rtacct"
%attr(755,root,root) "/sbin/.debug/tc.iproute2"
%attr(755,root,root) "/sbin/.debug/tipc"
%attr(755,root,root) "/sbin/.debug/ip.iproute2"
%attr(755,root,root) "/sbin/.debug/devlink"
%attr(755,root,root) "/sbin/.debug/ss"
%attr(755,root,root) "/sbin/.debug/rtmon"
%attr(755,root,root) "/sbin/.debug/bridge"
%attr(755,root,root) "/sbin/.debug/nstat"
%attr(755,root,root) "/sbin/.debug/genl"
%attr(755,root,root) "/sbin/.debug/ifstat"

%files -n iproute2-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/include/iproute2"
%attr(644,root,root) "/usr/include/iproute2/bpf_elf.h"

%files -n iproute2-bridge
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) "/sbin/bridge"

%files -n iproute2-devlink
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) "/sbin/devlink"

%files -n iproute2-genl
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) "/sbin/genl"

%files -n iproute2-ifstat
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) "/sbin/ifstat"

%files -n iproute2-ip
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) "/sbin/ip.iproute2"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/iproute2"
%attr(644,root,root) "/usr/lib/iproute2/rt_protos"
%attr(644,root,root) "/usr/lib/iproute2/ematch_map"
%attr(644,root,root) "/usr/lib/iproute2/rt_tables"
%attr(644,root,root) "/usr/lib/iproute2/bpf_pinning"
%attr(644,root,root) "/usr/lib/iproute2/nl_protos"
%attr(644,root,root) "/usr/lib/iproute2/rt_dsfield"
%attr(644,root,root) "/usr/lib/iproute2/rt_realms"
%attr(644,root,root) "/usr/lib/iproute2/group"
%attr(644,root,root) "/usr/lib/iproute2/rt_scopes"

%files -n iproute2-lnstat
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) "/sbin/lnstat"
%attr(777,root,root) "/sbin/ctstat"
%attr(777,root,root) "/sbin/rtstat"

%files -n iproute2-nstat
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) "/sbin/nstat"

%files -n iproute2-routel
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) "/sbin/routel"

%files -n iproute2-rtacct
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) "/sbin/rtacct"

%files -n iproute2-ss
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) "/sbin/ss"

%files -n iproute2-tc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) "/sbin/tc.iproute2"

%files -n iproute2-tipc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) "/sbin/tipc"

%files -n iproute2-bash-completion
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/bash-completion"
%attr(755,root,root) %dir "/usr/share/bash-completion/completions"
%attr(644,root,root) "/usr/share/bash-completion/completions/devlink"
%attr(644,root,root) "/usr/share/bash-completion/completions/tc"

%%prep
echo "include logs and patches, Please check them in SOURCES"

